Subject: Re: experimental texmf packages
From: "Robert Collins" <[email-masked]>
To: "Charles Wilson" <[email-masked]>, "Jan Nieuwenhuizen" <[email-masked]>
Cc: "Gerrit P. Haase" <[email-masked]>
Date: Sat, 8 Dec 2001 13:34:26 +1100

----- Original Message -----
From: "Charles Wilson" <[email-masked]>
> > You'd want a central tool(set) to do the
> > building and packaging, and package specific scripts/makefile
> > snippets.
>
> Well, that's what Robert is pushing.  But IMO we shouldn't try to
> reinvent THAT wheel (the package building/packing functionality that
> other all-in-one package management solutions provide).  In other
words,
> setup.exe shouldn't become the rpm.exe of cygwin, complete with 'setup
> -ba myspecfile'.  Bleagh. We needn't write another tool for this task,
> like "cygpack" or something, with yet another grammar to parse and
> learn, to drive autobuilds.

Agreed. I never wanted us to reinvent the wheel. Rpm/deb file reading
support (not the backend stuff at this point) *is* on the cards. I do
want maintainers life to be easy :}.

> > Also, while I am/was willing to help out the Cygwin project, I'd
> > rather work on LilyPond than reinvent packaging/do porting.
>
> That's fine.  Please continue -- scratch your own itch.  But folks
> shouldn't complain when nobody wants to scratch their itch FOR them,
> like provide/maintain rpm.

Better words that I could find - ditto from this corner!

> > Being only involved occasionally, and going
> > through the archives directly, I didn't find out about the apps list
> > (and open membership) until recently...

Point of order: The mailing list website has listed cygwin-apps as being
open for forever and a day.

> Yep, packaging and setup DEVELOPMENT happen on cygwin-apps. (setup bug
> reports, and "wouldn't it be nice if..." belongs on cygwin@ though)

Non-public code bug reports do belong here under the guidelines I posted
~ a week ago. net release bugs goto cygwin@. How to tell the difference?
If you grok the code you can post a setup bug here (only half joking)
:}.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/